Bug 44047 - Compaq Internet Keyboard (USB) not usable during install
Summary: Compaq Internet Keyboard (USB) not usable during install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-10 18:13 UTC by jpranevich
Modified: 2008-04-22 00:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 19:13:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from post-installed system (8.52 KB, text/plain)
2001-06-11 03:56 UTC, jpranevich
no flags Details

Description jpranevich 2001-06-10 18:13:23 UTC
Description of Problem:

My new Compaq Presario computer came with only a USB keyboard (a Compaq
Internet keyboard-- looking forward to remapping all those extra keys to
something more useful.) In the installer for RedHat 7.1 however, I am
unable to use the keyboard. (Fortunately, I had a spare PS2 keyboard lying
around to install with.) After the installation, both LILO and RedHat Linux
properly recognise the keyboard.

How Reproducible:

Try to install using a Compaq Internat keyboard (USB)

Steps to Reproduce:
1. Plug in keyboard
2. Reboot system with CD 1 in drive. :)
3. Verify that you get no response from keyboard on any Keyboard type.

Actual Results:

No response from keyboard, no matter which keyboard type you pick.

Expected Results:

Keyboard should function normally. (For bonus points, it could also be
probed and preselected as the default.)

Additional Information:

Comment 1 Brent Fox 2001-06-11 02:41:32 UTC
We tested USB keyboards and mice thoroughly, so I'm surprised that you are
having problems.  Could the USB port be disabled in the BIOS by any chance?

Comment 2 jpranevich 2001-06-11 03:54:50 UTC
I don't think so. See the attached dmesg. Clearly, Linux (post install) is
detecting the keyboard. (However, it detects it *twice* (!?)) 

Also, the Joystick could be confusing things. I don't know. I can do some
experiments if this doesn't help you.

Comment 3 jpranevich 2001-06-11 03:56:04 UTC
Created attachment 20702 [details]
dmesg output from post-installed system

Comment 4 Brent Fox 2001-06-11 21:44:28 UTC
Weird.  Does removing the joystick help at all?

Comment 5 Brent Fox 2001-06-21 19:13:00 UTC
Closing due to inactivity. Please reopen if you have more information.

Comment 6 jpranevich 2001-06-21 21:54:23 UTC
Managed to lose disk 1 of RH7.1. I'm securing another copy and will be able to 
confirm/deny findings early next week.

Comment 7 Fedora Update System 2008-04-22 00:04:33 UTC
kernel-2.6.24.5-85.fc8 has been submitted as an update for Fedora 8


Note You need to log in before you can comment on or make changes to this bug.